package com.crunii.micro.domain.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

public class TsmUrlDto implements Serializable {

    @ApiModelProperty(value = "urlId")
    private int urlId;

    @ApiModelProperty(value = "url 路径")
    private String urlPath;

    @ApiModelProperty(value = "1 普通url 2 AntPath")
    private int urlType;

    @ApiModelProperty(value = "url名称功能")
    private String urlName;

    @ApiModelProperty(value = "url描述")
    private String urlDesc;

    @ApiModelProperty(value = "0 无效，1有效")
    private int state;

    @ApiModelProperty(value = "操作日志标志：0 不需要记录操作日志，1需要记录操作日志")
    private int logFlag;

    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;

    @ApiModelProperty(value = "请求类型 0get 1post ...")
    private Integer  requestType;

    public int getUrlId() {
        return urlId;
    }

    public void setUrlId(int urlId) {
        this.urlId = urlId;
    }

    public String getUrlPath() {
        return urlPath;
    }

    public void setUrlPath(String urlPath) {
        this.urlPath = urlPath;
    }

    public int getUrlType() {
        return urlType;
    }

    public void setUrlType(int urlType) {
        this.urlType = urlType;
    }

    public String getUrlName() {
        return urlName;
    }

    public void setUrlName(String urlName) {
        this.urlName = urlName;
    }

    public String getUrlDesc() {
        return urlDesc;
    }

    public void setUrlDesc(String urlDesc) {
        this.urlDesc = urlDesc;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public int getLogFlag() {
        return logFlag;
    }

    public void setLogFlag(int logFlag) {
        this.logFlag = logFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getRequestType() {
        return requestType;
    }

    public void setRequestType(Integer requestType) {
        this.requestType = requestType;
    }
}
